import 'package:domain/generated/json/base/json_field.dart';
import 'package:domain/generated/json/job_applied_edit_index_s_g_entity.g.dart';
import 'dart:convert';
export 'package:domain/generated/json/job_applied_edit_index_s_g_entity.g.dart';

@JsonSerializable()
class JobAppliedEditIndexSGEntity {
	@JSONField(name: "applied_id")
	String? appliedId = null;
	int status = 0;
	@JSONField(name: "start_time")
	String? startTime = null;
	@JSONField(name: "end_time")
	String? endTime = null;
	@JSONField(name: "security_in")
	String? securityIn = null;
	@JSONField(name: "security_out")
	String? securityOut = null;
	@JSONField(name: "work_in")
	String? workIn = null;
	@JSONField(name: "work_out")
	String? workOut = null;
	@JSONField(name: "adjust_hours")
	String? adjustHours = null;
	@JSONField(name: "status_list")
	List<JobAppliedEditIndexSGStatusList>? statusList = [];

	JobAppliedEditIndexSGEntity();

	factory JobAppliedEditIndexSGEntity.fromJson(Map<String, dynamic> json) => $JobAppliedEditIndexSGEntityFromJson(json);

	Map<String, dynamic> toJson() => $JobAppliedEditIndexSGEntityToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}

@JsonSerializable()
class JobAppliedEditIndexSGStatusList {
	int value = 0;
	String? txt = null;
	String? checked = null;

	JobAppliedEditIndexSGStatusList();

	factory JobAppliedEditIndexSGStatusList.fromJson(Map<String, dynamic> json) => $JobAppliedEditIndexSGStatusListFromJson(json);

	Map<String, dynamic> toJson() => $JobAppliedEditIndexSGStatusListToJson(this);

	@override
	String toString() {
		return jsonEncode(this);
	}
}